import { ethereumTokens } from '@pancakeswap/tokens'
import { SerializedFarmConfig } from '@pancakeswap/farms'

const farms: SerializedFarmConfig[] = [
  {
    pid: 2,
    vaultPid: 0,
    lpSymbol: 'ETH-USDC LP',
    lpAddress: '0xCF11bFd14e36E21f7aE216AC207A875e44DF45E3',
    quoteToken: ethereumTokens.weth,
    token: ethereumTokens.usdc,
  },
  {
    pid: 3,
    vaultPid: 0,
    lpSymbol: 'ETH-PEPL LP',
    lpAddress: '0x1b1753b114874481f8BcEDb65F2c9f76470Fc875',
    quoteToken: ethereumTokens.weth,
    token: ethereumTokens.pepl,
    boosted: false,
  },
  {
    pid: 4,
    vaultPid: 0,
    lpSymbol: 'WBTC-ETH LP',
    lpAddress: '0x4AB6702B3Ed3877e9b1f203f90cbEF13d663B0e8',
    quoteToken: ethereumTokens.weth,
    token: ethereumTokens.wbtc,
  },
].map((p) => ({ ...p, token: p.token.serialize, quoteToken: p.quoteToken.serialize }))

export default farms
